global XS3
global Xs1 Xs2 Xs3 Xs4 Xs5

XS31=[]; XS32=[]; XS33=[]; XS34=[]; XS35=[];
XS31=XS3(1,:);
XS32=XS3(2,:);
XS33=XS3(3,:);
XS34=XS3(4,:);
XS35=XS3(5,:);

if Xs1(1)~=XS31(1)
    set(findobj(hObject,'Tag','edit3_11'),'ForegroundColor',[0 0 1]);
end

switch Xs1(1)
        case 1
            set(findobj(hObject,'Tag','edit3_11'),'string','NVL');
        case 2
            set(findobj(hObject,'Tag','edit3_11'),'string','VL');
        case 3
            set(findobj(hObject,'Tag','edit3_11'),'string','L');
        case 4
            set(findobj(hObject,'Tag','edit3_11'),'string','MLL');
        case 5
            set(findobj(hObject,'Tag','edit3_11'),'string','FMLH');
        case 6
            set(findobj(hObject,'Tag','edit3_11'),'string','MLH');
        case 7
            set(findobj(hObject,'Tag','edit3_11'),'string','H');
        case 8
            set(findobj(hObject,'Tag','edit3_11'),'string','EH');
end

if Xs1(2)~=XS31(2)
    set(findobj(hObject,'Tag','edit3_12'),'ForegroundColor',[0 0 1]);
end
switch Xs1(2)
        case 1
            set(findobj(hObject,'Tag','edit3_12'),'string','NVL');
        case 2
            set(findobj(hObject,'Tag','edit3_12'),'string','VL');
        case 3
            set(findobj(hObject,'Tag','edit3_12'),'string','L');
        case 4
            set(findobj(hObject,'Tag','edit3_12'),'string','MLL');
        case 5
            set(findobj(hObject,'Tag','edit3_12'),'string','FMLH');
        case 6
            set(findobj(hObject,'Tag','edit3_12'),'string','MLH');
        case 7
            set(findobj(hObject,'Tag','edit3_12'),'string','H');
        case 8
            set(findobj(hObject,'Tag','edit3_12'),'string','EH');
end
if Xs1(3)~=XS31(3)
    set(findobj(hObject,'Tag','edit3_13'),'ForegroundColor',[0 0 1]);
end
switch Xs1(3)
        case 1
            set(findobj(hObject,'Tag','edit3_13'),'string','NVL');
        case 2
            set(findobj(hObject,'Tag','edit3_13'),'string','VL');
        case 3
            set(findobj(hObject,'Tag','edit3_13'),'string','L');
        case 4
            set(findobj(hObject,'Tag','edit3_13'),'string','MLL');
        case 5
            set(findobj(hObject,'Tag','edit3_13'),'string','FMLH');
        case 6
            set(findobj(hObject,'Tag','edit3_13'),'string','MLH');
        case 7
            set(findobj(hObject,'Tag','edit3_13'),'string','H');
        case 8
            set(findobj(hObject,'Tag','edit3_13'),'string','EH');
end
if Xs1(4)~=XS31(4)
    set(findobj(hObject,'Tag','edit3_14'),'ForegroundColor',[0 0 1]);
end
switch Xs1(4)
    case 1
            set(findobj(hObject,'Tag','edit3_14'),'string','VB');
        case 2
            set(findobj(hObject,'Tag','edit3_14'),'string','B');
        case 3
            set(findobj(hObject,'Tag','edit3_14'),'string','SB');
        case 4
            set(findobj(hObject,'Tag','edit3_14'),'string','F');
        case 5
            set(findobj(hObject,'Tag','edit3_14'),'string','SG');
        case 6
            set(findobj(hObject,'Tag','edit3_14'),'string','G');
        case 7
            set(findobj(hObject,'Tag','edit3_14'),'string','VG');
end

if Xs2(1)~=XS32(1)
    set(findobj(hObject,'Tag','edit3_21'),'ForegroundColor',[0 0 1]);
end
switch Xs2(1)
        case 1
            set(findobj(hObject,'Tag','edit3_21'),'string','NVL');
        case 2
            set(findobj(hObject,'Tag','edit3_21'),'string','VL');
        case 3
            set(findobj(hObject,'Tag','edit3_21'),'string','L');
        case 4
            set(findobj(hObject,'Tag','edit3_21'),'string','MLL');
        case 5
            set(findobj(hObject,'Tag','edit3_21'),'string','FMLH');
        case 6
            set(findobj(hObject,'Tag','edit3_21'),'string','MLH');
        case 7
            set(findobj(hObject,'Tag','edit3_21'),'string','H');
        case 8
            set(findobj(hObject,'Tag','edit3_21'),'string','EH');
end
if Xs2(2)~=XS32(2)
    set(findobj(hObject,'Tag','edit3_22'),'ForegroundColor',[0 0 1]);
end
switch Xs2(2)
        case 1
            set(findobj(hObject,'Tag','edit3_22'),'string','NVL');
        case 2
            set(findobj(hObject,'Tag','edit3_22'),'string','VL');
        case 3
            set(findobj(hObject,'Tag','edit3_22'),'string','L');
        case 4
            set(findobj(hObject,'Tag','edit3_22'),'string','MLL');
        case 5
            set(findobj(hObject,'Tag','edit3_22'),'string','FMLH');
        case 6
            set(findobj(hObject,'Tag','edit3_22'),'string','MLH');
        case 7
            set(findobj(hObject,'Tag','edit3_22'),'string','H');
        case 8
            set(findobj(hObject,'Tag','edit3_22'),'string','EH');
end
if Xs2(3)~=XS32(3)
    set(findobj(hObject,'Tag','edit3_23'),'ForegroundColor',[0 0 1]);
end
switch Xs2(3)
        case 1
            set(findobj(hObject,'Tag','edit3_23'),'string','NVL');
        case 2
            set(findobj(hObject,'Tag','edit3_23'),'string','VL');
        case 3
            set(findobj(hObject,'Tag','edit3_23'),'string','L');
        case 4
            set(findobj(hObject,'Tag','edit3_23'),'string','MLL');
        case 5
            set(findobj(hObject,'Tag','edit3_23'),'string','FMLH');
        case 6
            set(findobj(hObject,'Tag','edit3_23'),'string','MLH');
        case 7
            set(findobj(hObject,'Tag','edit3_23'),'string','H');
        case 8
            set(findobj(hObject,'Tag','edit3_23'),'string','EH');
end
if Xs2(4)~=XS32(4)
    set(findobj(hObject,'Tag','edit3_24'),'ForegroundColor',[0 0 1]);
end
switch Xs2(4)
    case 1
            set(findobj(hObject,'Tag','edit3_24'),'string','VB');
        case 2
            set(findobj(hObject,'Tag','edit3_24'),'string','B');
        case 3
            set(findobj(hObject,'Tag','edit3_24'),'string','SB');
        case 4
            set(findobj(hObject,'Tag','edit3_24'),'string','F');
        case 5
            set(findobj(hObject,'Tag','edit3_24'),'string','SG');
        case 6
            set(findobj(hObject,'Tag','edit3_24'),'string','G');
        case 7
            set(findobj(hObject,'Tag','edit3_24'),'string','VG');
end

if Xs3(1)~=XS33(1)
    set(findobj(hObject,'Tag','edit3_31'),'ForegroundColor',[0 0 1]);
end
switch Xs3(1)
        case 1
            set(findobj(hObject,'Tag','edit3_31'),'string','NVL');
        case 2
            set(findobj(hObject,'Tag','edit3_31'),'string','VL');
        case 3
            set(findobj(hObject,'Tag','edit3_31'),'string','L');
        case 4
            set(findobj(hObject,'Tag','edit3_31'),'string','MLL');
        case 5
            set(findobj(hObject,'Tag','edit3_31'),'string','FMLH');
        case 6
            set(findobj(hObject,'Tag','edit3_31'),'string','MLH');
        case 7
            set(findobj(hObject,'Tag','edit3_31'),'string','H');
        case 8
            set(findobj(hObject,'Tag','edit3_31'),'string','EH');
end
if Xs3(2)~=XS33(2)
    set(findobj(hObject,'Tag','edit3_32'),'ForegroundColor',[0 0 1]);
end
switch Xs3(2)
        case 1
            set(findobj(hObject,'Tag','edit3_32'),'string','NVL');
        case 2
            set(findobj(hObject,'Tag','edit3_32'),'string','VL');
        case 3
            set(findobj(hObject,'Tag','edit3_32'),'string','L');
        case 4
            set(findobj(hObject,'Tag','edit3_32'),'string','MLL');
        case 5
            set(findobj(hObject,'Tag','edit3_32'),'string','FMLH');
        case 6
            set(findobj(hObject,'Tag','edit3_32'),'string','MLH');
        case 7
            set(findobj(hObject,'Tag','edit3_32'),'string','H');
        case 8
            set(findobj(hObject,'Tag','edit3_32'),'string','EH');
end

if Xs3(3)~=XS33(3)
    set(findobj(hObject,'Tag','edit3_33'),'ForegroundColor',[0 0 1]);
end
switch Xs3(3)
        case 1
            set(findobj(hObject,'Tag','edit3_33'),'string','NVL');
        case 2
            set(findobj(hObject,'Tag','edit3_33'),'string','VL');
        case 3
            set(findobj(hObject,'Tag','edit3_33'),'string','L');
        case 4
            set(findobj(hObject,'Tag','edit3_33'),'string','MLL');
        case 5
            set(findobj(hObject,'Tag','edit3_33'),'string','FMLH');
        case 6
            set(findobj(hObject,'Tag','edit3_33'),'string','MLH');
        case 7
            set(findobj(hObject,'Tag','edit3_33'),'string','H');
        case 8
            set(findobj(hObject,'Tag','edit3_33'),'string','EH');
end
if Xs3(4)~=XS33(4)
    set(findobj(hObject,'Tag','edit3_34'),'ForegroundColor',[0 0 1]);
end
switch Xs3(4)
    case 1
            set(findobj(hObject,'Tag','edit3_34'),'string','VB');
        case 2
            set(findobj(hObject,'Tag','edit3_34'),'string','B');
        case 3
            set(findobj(hObject,'Tag','edit3_34'),'string','SB');
        case 4
            set(findobj(hObject,'Tag','edit3_34'),'string','F');
        case 5
            set(findobj(hObject,'Tag','edit3_34'),'string','SG');
        case 6
            set(findobj(hObject,'Tag','edit3_34'),'string','G');
        case 7
            set(findobj(hObject,'Tag','edit3_34'),'string','VG');
end

if Xs4(1)~=XS34(1)
    set(findobj(hObject,'Tag','edit3_41'),'ForegroundColor',[0 0 1]);
end
switch Xs4(1)
        case 1
            set(findobj(hObject,'Tag','edit3_41'),'string','NVL');
        case 2
            set(findobj(hObject,'Tag','edit3_41'),'string','VL');
        case 3
            set(findobj(hObject,'Tag','edit3_41'),'string','L');
        case 4
            set(findobj(hObject,'Tag','edit3_41'),'string','MLL');
        case 5
            set(findobj(hObject,'Tag','edit3_41'),'string','FMLH');
        case 6
            set(findobj(hObject,'Tag','edit3_41'),'string','MLH');
        case 7
            set(findobj(hObject,'Tag','edit3_41'),'string','H');
        case 8
            set(findobj(hObject,'Tag','edit3_41'),'string','EH');
end
if Xs4(2)~=XS34(2)
    set(findobj(hObject,'Tag','edit3_42'),'ForegroundColor',[0 0 1]);
end
switch Xs4(2)
        case 1
            set(findobj(hObject,'Tag','edit3_42'),'string','NVL');
        case 2
            set(findobj(hObject,'Tag','edit3_42'),'string','VL');
        case 3
            set(findobj(hObject,'Tag','edit3_42'),'string','L');
        case 4
            set(findobj(hObject,'Tag','edit3_42'),'string','MLL');
        case 5
            set(findobj(hObject,'Tag','edit3_42'),'string','FMLH');
        case 6
            set(findobj(hObject,'Tag','edit3_42'),'string','MLH');
        case 7
            set(findobj(hObject,'Tag','edit3_42'),'string','H');
        case 8
            set(findobj(hObject,'Tag','edit3_42'),'string','EH');
end

if Xs4(3)~=XS34(3)
    set(findobj(hObject,'Tag','edit3_43'),'ForegroundColor',[0 0 1]);
end
switch Xs4(3)
        case 1
            set(findobj(hObject,'Tag','edit3_43'),'string','NVL');
        case 2
            set(findobj(hObject,'Tag','edit3_43'),'string','VL');
        case 3
            set(findobj(hObject,'Tag','edit3_43'),'string','L');
        case 4
            set(findobj(hObject,'Tag','edit3_43'),'string','MLL');
        case 5
            set(findobj(hObject,'Tag','edit3_43'),'string','FMLH');
        case 6
            set(findobj(hObject,'Tag','edit3_43'),'string','MLH');
        case 7
            set(findobj(hObject,'Tag','edit3_43'),'string','H');
        case 8
            set(findobj(hObject,'Tag','edit3_43'),'string','EH');
end
if Xs4(4)~=XS34(4)
    set(findobj(hObject,'Tag','edit3_44'),'ForegroundColor',[0 0 1]);
end
switch Xs4(4)
    case 1
            set(findobj(hObject,'Tag','edit3_44'),'string','VB');
        case 2
            set(findobj(hObject,'Tag','edit3_44'),'string','B');
        case 3
            set(findobj(hObject,'Tag','edit3_44'),'string','SB');
        case 4
            set(findobj(hObject,'Tag','edit3_44'),'string','F');
        case 5
            set(findobj(hObject,'Tag','edit3_44'),'string','SG');
        case 6
            set(findobj(hObject,'Tag','edit3_44'),'string','G');
        case 7
            set(findobj(hObject,'Tag','edit3_44'),'string','VG');
end

if Xs5(1)~=XS35(1)
    set(findobj(hObject,'Tag','edit3_51'),'ForegroundColor',[0 0 1]);
end
switch Xs5(1)
        case 1
            set(findobj(hObject,'Tag','edit3_51'),'string','NVL');
        case 2
            set(findobj(hObject,'Tag','edit3_51'),'string','VL');
        case 3
            set(findobj(hObject,'Tag','edit3_51'),'string','L');
        case 4
            set(findobj(hObject,'Tag','edit3_51'),'string','MLL');
        case 5
            set(findobj(hObject,'Tag','edit3_51'),'string','FMLH');
        case 6
            set(findobj(hObject,'Tag','edit3_51'),'string','MLH');
        case 7
            set(findobj(hObject,'Tag','edit3_51'),'string','H');
        case 8
            set(findobj(hObject,'Tag','edit3_51'),'string','EH');
end
if Xs5(2)~=XS35(2)
    set(findobj(hObject,'Tag','edit3_52'),'ForegroundColor',[0 0 1]);
end
switch Xs5(2)
        case 1
            set(findobj(hObject,'Tag','edit3_52'),'string','NVL');
        case 2
            set(findobj(hObject,'Tag','edit3_52'),'string','VL');
        case 3
            set(findobj(hObject,'Tag','edit3_52'),'string','L');
        case 4
            set(findobj(hObject,'Tag','edit3_52'),'string','MLL');
        case 5
            set(findobj(hObject,'Tag','edit3_52'),'string','FMLH');
        case 6
            set(findobj(hObject,'Tag','edit3_52'),'string','MLH');
        case 7
            set(findobj(hObject,'Tag','edit3_52'),'string','H');
        case 8
            set(findobj(hObject,'Tag','edit3_52'),'string','EH');
end
if Xs5(3)~=XS35(3)
    set(findobj(hObject,'Tag','edit3_53'),'ForegroundColor',[0 0 1]);
end
switch Xs5(3)
        case 1
            set(findobj(hObject,'Tag','edit3_53'),'string','NVL');
        case 2
            set(findobj(hObject,'Tag','edit3_53'),'string','VL');
        case 3
            set(findobj(hObject,'Tag','edit3_53'),'string','L');
        case 4
            set(findobj(hObject,'Tag','edit3_53'),'string','MLL');
        case 5
            set(findobj(hObject,'Tag','edit3_53'),'string','FMLH');
        case 6
            set(findobj(hObject,'Tag','edit3_53'),'string','MLH');
        case 7
            set(findobj(hObject,'Tag','edit3_53'),'string','H');
        case 8
            set(findobj(hObject,'Tag','edit3_53'),'string','EH');
end
if Xs5(4)~=XS35(4)
    set(findobj(hObject,'Tag','edit3_54'),'ForegroundColor',[0 0 1]);
end
switch Xs5(4)
    case 1
            set(findobj(hObject,'Tag','edit3_54'),'string','VB');
        case 2
            set(findobj(hObject,'Tag','edit3_54'),'string','B');
        case 3
            set(findobj(hObject,'Tag','edit3_54'),'string','SB');
        case 4
            set(findobj(hObject,'Tag','edit3_54'),'string','F');
        case 5
            set(findobj(hObject,'Tag','edit3_54'),'string','SG');
        case 6
            set(findobj(hObject,'Tag','edit3_54'),'string','G');
        case 7
            set(findobj(hObject,'Tag','edit3_54'),'string','VG');
end
